/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.testbeancluster.interfaces;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import javax.ejb.CreateException;

/**
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1.2.2 $
 */
public interface SessionToEntity extends EJBObject
{
   public String createEntity()
      throws CreateException, RemoteException;
   public NodeAnswer accessEntity()
      throws RemoteException;
   public int getAccessCount()
      throws RemoteException;
   public NodeAnswer validateAccessCount(int count)
      throws RemoteException;
}
